<?php
namespace app\admin\model;

class AdminMenu extends Base
{
//设置字段信息
    protected $schema = [
        'id'       =>'bigint',//
        'menu_name'       =>'varchar',//菜单名称
        'menu_code'       =>'varchar',//菜单code
        'menu_img'       =>'varchar',//菜单图片
        'menu_route'       =>'varchar',//菜单路由
        'menu_url'       =>'varchar',//菜单地址
        'menu_api'       =>'varchar',//接口地址
        'pid'       =>'bigint',//父级id
        'is_show'       =>'int',//是否禁用
        'is_private'       =>'int',//是否私有
        'level'       =>'tinyint',//菜单等级,0公共,1超管,2业务公司,3供应商
        'is_display'       =>'int',//是否展示
        'weight'       =>'double',//权重
        'status'       =>'int',//状态
        'is_del'       =>'int',//是否删除
        'addtime'       =>'datetime',//
        'updatetime'       =>'datetime',//
        'menu_type'       =>'tinyint',//1菜单2 页面

    ];
}